| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
MinimalAnnotationParameter Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure MinimalAnnotationParameter defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | MinimalAnnotationParameter ()
| Default constructor.
eProsima_user_DllExport | ~MinimalAnnotationParameter ()
| Default destructor.
eProsima_user_DllExport | MinimalAnnotationParameter (const MinimalAnnotationParameter &x)
| Copy constructor.
eProsima_user_DllExport | MinimalAnnotationParameter (MinimalAnnotationParameter &&x) noexcept
| Move constructor.
eProsima_user_DllExport MinimalAnnotationParameter & | operator= (const MinimalAnnotationParameter &x)
| Copy assignment.
eProsima_user_DllExport MinimalAnnotationParameter & | operator= (MinimalAnnotationParameter &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const MinimalAnnotationParameter &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const MinimalAnnotationParameter &x) const
| Comparison operator.
eProsima_user_DllExport void | common (const CommonAnnotationParameter &_common)
| This function copies the value in member common.
eProsima_user_DllExport void | common (CommonAnnotationParameter &&_common)
| This function moves the value in member common.
eProsima_user_DllExport const CommonAnnotationParameter & | common () const
| This function returns a constant reference to member common.
eProsima_user_DllExport CommonAnnotationParameter & | common ()
| This function returns a reference to member common.
eProsima_user_DllExport void | name_hash (const NameHash &_name_hash)
| This function copies the value in member name_hash.
eProsima_user_DllExport void | name_hash (NameHash &&_name_hash)
| This function moves the value in member name_hash.
eProsima_user_DllExport const NameHash & | name_hash () const
| This function returns a constant reference to member name_hash.
eProsima_user_DllExport NameHash & | name_hash ()
| This function returns a reference to member name_hash.
eProsima_user_DllExport void | default_value (const AnnotationParameterValue &_default_value)
| This function copies the value in member default_value.
eProsima_user_DllExport void | default_value (AnnotationParameterValue &&_default_value)
| This function moves the value in member default_value.
eProsima_user_DllExport const AnnotationParameterValue & | default_value () const
| This function returns a constant reference to member default_value.
eProsima_user_DllExport AnnotationParameterValue & | default_value ()
| This function returns a reference to member default_value.

## Detailed Description

This class represents the structure MinimalAnnotationParameter defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ MinimalAnnotationParameter() [1/3]

eProsima_user_DllExport MinimalAnnotationParameter | ( |  | ) |

inline

Default constructor.

## ◆ ~MinimalAnnotationParameter()

eProsima_user_DllExport ~MinimalAnnotationParameter | ( |  | ) |

inline

Default destructor.

## ◆ MinimalAnnotationParameter() [2/3]

eProsima_user_DllExport MinimalAnnotationParameter | ( | const MinimalAnnotationParameter & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object MinimalAnnotationParameter that will be copied.

## ◆ MinimalAnnotationParameter() [3/3]

eProsima_user_DllExport MinimalAnnotationParameter | ( | MinimalAnnotationParameter && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object MinimalAnnotationParameter that will be copied.

## Member Function Documentation

## ◆ common() [1/4]

eProsima_user_DllExport CommonAnnotationParameter & common | ( |  | ) |

inline

This function returns a reference to member common.

Returns
  Reference to member common

## ◆ common() [2/4]

eProsima_user_DllExport const CommonAnnotationParameter & common | ( |  | ) | const

inline

This function returns a constant reference to member common.

Returns
  Constant reference to member common

## ◆ common() [3/4]

eProsima_user_DllExport void common | ( | CommonAnnotationParameter && | _common | ) |

inline

This function moves the value in member common.

Parameters

  _common | New value to be moved in member common

## ◆ common() [4/4]

eProsima_user_DllExport void common | ( | const CommonAnnotationParameter & | _common | ) |

inline

This function copies the value in member common.

Parameters

  _common | New value to be copied in member common

## ◆ default_value() [1/4]

eProsima_user_DllExport AnnotationParameterValue & default_value | ( |  | ) |

inline

This function returns a reference to member default_value.

Returns
  Reference to member default_value

## ◆ default_value() [2/4]

eProsima_user_DllExport const AnnotationParameterValue & default_value | ( |  | ) | const

inline

This function returns a constant reference to member default_value.

Returns
  Constant reference to member default_value

## ◆ default_value() [3/4]

eProsima_user_DllExport void default_value | ( | AnnotationParameterValue && | _default_value | ) |

inline

This function moves the value in member default_value.

Parameters

  _default_value | New value to be moved in member default_value

## ◆ default_value() [4/4]

eProsima_user_DllExport void default_value | ( | const AnnotationParameterValue & | _default_value | ) |

inline

This function copies the value in member default_value.

Parameters

  _default_value | New value to be copied in member default_value

## ◆ name_hash() [1/4]

eProsima_user_DllExport NameHash & name_hash | ( |  | ) |

inline

This function returns a reference to member name_hash.

Returns
  Reference to member name_hash

## ◆ name_hash() [2/4]

eProsima_user_DllExport const NameHash & name_hash | ( |  | ) | const

inline

This function returns a constant reference to member name_hash.

Returns
  Constant reference to member name_hash

## ◆ name_hash() [3/4]

eProsima_user_DllExport void name_hash | ( | const NameHash & | _name_hash | ) |

inline

This function copies the value in member name_hash.

Parameters

  _name_hash | New value to be copied in member name_hash

## ◆ name_hash() [4/4]

eProsima_user_DllExport void name_hash | ( | NameHash && | _name_hash | ) |

inline

This function moves the value in member name_hash.

Parameters

  _name_hash | New value to be moved in member name_hash

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const MinimalAnnotationParameter & | x | ) | const

inline

Comparison operator.

Parameters

  x | MinimalAnnotationParameter object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport MinimalAnnotationParameter & operator= | ( | const MinimalAnnotationParameter & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object MinimalAnnotationParameter that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport MinimalAnnotationParameter & operator= | ( | MinimalAnnotationParameter && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object MinimalAnnotationParameter that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const MinimalAnnotationParameter & | x | ) | const

inline

Comparison operator.

Parameters

  x | MinimalAnnotationParameter object to compare.

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp